/*
 * SCIE -- Spinal Cord Injury Ontology Extraction
 * Copyright (C) 2013, 2014
 * Raphael Dickfelder, Jan Göpfert, Benjamin Paaßen, Andreas Stöckel
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as
 * published by the Free Software Foundation, either version 3 of the
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package de.unibi.techfak.scie.ontology.driver;

/**
 * The DatabaseDriverException is stored whenever an error occurs while using
 * the ontology database backend.
 *
 * TODO: This should not be a RuntimeException, but my life time is fat too
 * precious too change hundreds of method signatures.
 *
 * @author Andreas Stoeckel -- astoecke(at)techfak.uni-bielefeld.de
 */
public class OntologyDatabaseDriverException extends RuntimeException {

	/**
	 * Create the DatabaseDriver exception.
	 *
	 * @param msg a textual message that further describes the exception that
	 * occured.
	 */
	public OntologyDatabaseDriverException(String msg) {
		super(msg);
	}

}
